{{#if listePilote}}
<div class="center">
  <img src="/image/cat_pilote.png" alt="Image casque pilote">
</div>
<div class="center">
  <h1>Gestion des pilotes</h1>
</div>
<div class="center">
  <a href="/pilote/ajout"><img src="/image/act_add.png" alt="Image ajout">Ajouter un pilote</a>
</div>
<br>
<br>
<div class="center">
  <table class="border">
    <tr>
      <th class="border">Nom</th>
      <th class="border">Prénom</th>
      <th class="border">Date de naissance</th>
      <th class="border">Actions</th>
    </tr>
    {{#each listePilote}}
    <tr>
      <td class="border">{{this.PILNOM}}</td>
      <td class="border">{{this.PILPRENOM}}</td>
      <td class="border">{{formatDate this.PILDATENAIS 'DD/MM/YYYY'}}</td>
      <td class="border"><a href='/modifPilote/{{this.PILNUM}}' class="actions"><img src="/image/act_edit.png" alt="Image edition">Modifier</a><a href='/suppPilote/{{this.PILNUM}}' class="actions"><img src="/image/act_delete.png" alt="Image edition">Supprimer</a></td>
    </tr>
    {{/each}}
  </table>
</div>
{{/if}}
{{#if listeNationalite}}
<div class="center">
  <h1>Ajouter un pilote</h1>
</div>
<div class="center">
  <form action="/ajoutPiloteReq" method="post">
    <div id="left">
      <div class="positionText">
        <label for="prenom">Prénom</label><br>
      </div>
      <div class="positionText">
        <label for="nom">Nom</label><br>
      </div>
      <div class="positionText">
        <label for="dateNaissance">Date de naissance</label><br>
      </div>
      <div class="positionText">
        <label for="nationnalite">Nationalité</label><br>
      </div>
      <div class="positionText">
        <label for="ecurie">Ecurie</label><br>
      </div>
      <div class="positionText">
        <label for="points">Points</label><br>
      </div>
      <div class="positionText">
        <label for="poids">Poids</label><br>
      </div>
      <div class="positionText">
        <label for="taille">Taille</label><br>
      </div>
      <div class="positionText">
        <label for="description">Description</label> <br><br><br>
      </div>
    </div>
    <div id="right">
      <input type="text" name="prenom" required><br>
      <input type="text" name="nom" required> <br>
      <input type="date" name="dateNaissance"required><br>
      <select name="nat">
        {{#each listeNationalite}}
        <option value="{{this.PAYNUM}}">{{this.PAYNAT}}</option>
        {{/each}}
      </select><br>
      <select name="ecu">
        <option value="NULL">Aucune écurie</option>
        {{#each listeEcurie}}
        <option value="{{this.ECUNUM}}">{{this.ECUNOM}}</option>
        {{/each}}
      </select><br>
      <input type="number" name="points" required> pts<br>
      <input type="number" name="poids" required> kg<br>
      <input type="number" name="taille" required> cm<br>
      <textarea name="description" rows="3" cols="50" required></textarea><br><br>
      <input id="button" type="submit" name="ajouterPilote" value="Ajouter">
    </div>
  </form>
</div>

{{/if}}

{{#if listePiloteModif}}
<div class="center">
  <h1>Modifier un pilote</h1>
</div>
<div class="center">
  <form action="/modifPiloteReq/{{listePiloteModif.pilnum}}" method="post">
    <div id="left">
      <div class="positionText">
        <label for="prenom">Prénom</label><br>
      </div>
      <div class="positionText">
        <label for="nom">Nom</label><br>
      </div>
      <div class="positionText">
        <label for="dateNaissance">Date de naissance</label><br>
      </div>
      <div class="positionText">
        <label for="nationnalite">Nationalité</label><br>
      </div>
      <div class="positionText">
        <label for="ecurie">Ecurie</label> <br>
      </div>
      <div class="positionText">
        <label for="points">Points</label> <br>
      </div>
      <div class="positionText">
        <label for="poids">Poids</label> <br>
      </div>
      <div class="positionText">
        <label for="taille">Taille</label> <br>
      </div>
      <div class="positionText">
        <label for="description">Description</label> <br> <br><br>
      </div>
    </div>
    <div id="right">
      <input type="text" name="prenom" value="{{listePiloteModif.pilprenom}}"required><br>
      <input type="text" name="nom" value="{{listePiloteModif.pilnom}}" required><br>
      <input type="date" name="dateNaissance" value="{{formatDate listePiloteModif.pildatenais 'YYYY-MM-DD'}}" required><br>
      <select name="nat">
        <option value="{{listePiloteModif.paynum}}">{{listePiloteModif.paynat}}</option>
        {{#each listeNationaliteModif}}
          {{#ifCond ../listePiloteModif.paynum '==' this.PAYNUM}}
          {{else}}
            <option value="{{this.PAYNUM}}">{{this.PAYNAT}}</option>
          {{/ifCond}}
        {{/each}}
      </select><br>
      <select name="ecu">
        {{#if listeEcuPilModif}}
          <option value="{{listeEcuPilModif.ecunum}}">{{listeEcuPilModif.ecunom}}</option>
        {{else}}
          <option value="NULL">Aucune écurie</option>
        {{/if}}
        {{#each listeEcurieModif}}
          {{#ifCond ../listePiloteModif.ecunum '==' this.ECUNUM}}
          {{else}}
            <option value="{{this.ECUNUM}}">{{this.ECUNOM}}</option>
          {{/ifCond}}
        {{/each}}
      </select> <br>
      <input type="number" name="points" {{#if listePiloteModif.pilpoints}} value="{{listePiloteModif.pilpoints}}" {{else}} value="0" {{/if}} required> pts <br>
      <input type="number" name="poids" value="{{listePiloteModif.pilpoids}}" required> kg <br>
      <input type="number" name="taille" value="{{listePiloteModif.piltaille}}" required> cm <br>
      <textarea name="description" rows="3" cols="50" required>{{listePiloteModif.piltexte}}</textarea>
      <br><br>
      <input id="button" type="submit" name="modifierPilote" value="Modifier">
    </div>

  </form>
</div>
{{/if}}
